import request from '@/utils/request'

// 查询纪律考评列表
export function listAssess(query) {
  return request({
    url: '/branch/assess/list',
    method: 'get',
    params: query
  })
}

// 查询纪律考评详细
export function getAssess(assessId) {
  return request({
    url: '/branch/assess/' + assessId,
    method: 'get'
  })
}

// 新增纪律考评
export function addAssess(data) {
  return request({
    url: '/branch/assess',
    method: 'post',
    data: data
  })
}

// 修改纪律考评
export function updateAssess(data) {
  return request({
    url: '/branch/assess',
    method: 'put',
    data: data
  })
}

// 删除纪律考评
export function delAssess(assessId) {
  return request({
    url: '/branch/assess/' + assessId,
    method: 'delete'
  })
}
